# No test by default. Do test: rpm -ba --define 'dotests 1' *.spec
%{!?dotests: %define dotests 0}

%global py_major 3.9

%global py_minor 16

%global python_major python%{py_major}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name: ansible
Summary: SSH-based configuration management, deployment, and task execution system
Version: 2.9.25
Release: 2
License: GPLv3+
Group: Development/Libraries
Source0: https://releases.ansible.com/ansible/%{name}-%{version}.tar.gz
Url: http://ansible.com
BuildArch: noarch

Prefix:/opt/freeware

BuildRequires: %{python_major}-devel
BuildRequires: %{python_major}-setuptools
#BuildRequires: python3-six
#BuildRequires: python3-nose
#BuildRequires: python3-pytest
#BuildRequires: python3-pytest-xdist
#BuildRequires: python3-pytest-mock
#BuildRequires: python3-requests
#BuildRequires: python3-mock
#BuildRequires: python3-jinja2
#BuildRequires: python3-PyYAML
#BuildRequires: python3-cryptography

Requires: %{python_major}-setuptools >= 65.2.0
Requires: %{python_major}-six >= 1.13.0
Requires: %{python_major}-jinja2 >= 2.10.3
Requires: %{python_major}-pyyaml >= 5.4.1.1
Requires: %{python_major}-cryptography >= 3.4.7
Requires: %{python_major} >= %{py_major}.%{py_minor}
Requires: sshpass >= 1.06
# needed for json_query filter
Requires: %{python_major}-jmespath >= 0.9.4


%description
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
export OBJECT_MODE=64
%{python_major} setup.py build


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%{python_major} setup.py install --skip-build --root ${RPM_BUILD_ROOT}


# Create system directories that Ansible defines as default locations in
# ansible/config/base.yml
DATADIR_LOCATIONS='%{_datadir}/ansible/collections
%{_datadir}/ansible/plugins/doc_fragments
%{_datadir}/ansible/plugins/action
%{_datadir}/ansible/plugins/become
%{_datadir}/ansible/plugins/cache
%{_datadir}/ansible/plugins/callback
%{_datadir}/ansible/plugins/cliconf
%{_datadir}/ansible/plugins/connection
%{_datadir}/ansible/plugins/filter
%{_datadir}/ansible/plugins/httpapi
%{_datadir}/ansible/plugins/inventory
%{_datadir}/ansible/plugins/lookup
%{_datadir}/ansible/plugins/modules
%{_datadir}/ansible/plugins/module_utils
%{_datadir}/ansible/plugins/netconf
%{_datadir}/ansible/roles
%{_datadir}/ansible/plugins/strategy
%{_datadir}/ansible/plugins/terminal
%{_datadir}/ansible/plugins/test
%{_datadir}/ansible/plugins/vars'

mkdir -p $RPM_BUILD_ROOT%{_datadir}/ansible/plugins/
for location in $DATADIR_LOCATIONS ; do
	mkdir $RPM_BUILD_ROOT"$location"
done
mkdir -p $RPM_BUILD_ROOT%{_prefix}/etc/ansible/
mkdir -p $RPM_BUILD_ROOT%{_prefix}/etc/ansible/roles/

cp examples/hosts $RPM_BUILD_ROOT%{_prefix}/etc/ansible/
cp examples/ansible.cfg $RPM_BUILD_ROOT%{_prefix}/etc/ansible/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp -v docs/man/man1/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

#create softlinks for config files 


( cd $RPM_BUILD_ROOT  # same as %{buildroot}

for dir in etc  
do
	mkdir -p $dir/ansible
	cd $dir/ansible
	ln -sf ../..%{_prefix}/$dir/ansible/* .
	cd -
done
)
	

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license COPYING
%doc README.rst PKG-INFO changelogs/CHANGELOG-v2.9.rst
%doc %{_mandir}/man1/ansible*
%config(noreplace) %{_sysconfdir}/ansible/
/etc/ansible/*
%{_bindir}/ansible*
%{_datadir}/ansible/
%{python3_sitearch}/ansible
%{python3_sitearch}/ansible_test
%{python3_sitearch}/*egg-info

%changelog
* Mon Apr 10 2023 Reshma V Kumar <reskumar@in.ibm.com> - 2.9.25-2
- Rebuild with python3.9

* Tue Aug 24 2021 Rishita Saha <risaha16@in.ibm.com> - 2.9.25-1
- Update to 2.9.25 to fix CVE-2021-20191 and CVE-2021-20178

* Fri Oct 06 2020 Rishita Saha <risaha16@in.ibm.com> - 2.9.14-1
- Update to 2.9.14 to fix CVE-2020-14365

* Fri Sep 11 2020 Rishita Saha <risaha16@in.ibm.com> - 2.9.10-1
- Update to 2.9.10 to fix CVE-2020-10744

* Fri May 08 2020 Rishita Saha <risaha16@in.ibm.com> - 2.9.7-1
- Update to 2.9.7 to fix CVE-2020-1737 

* Fri Feb 07 2020 Ayappan P <ayappap2@in.ibm.com> - 2.9.4-1
- Update to 2.9.4

* Sun Oct 28 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 2.7.0-1
- Updated to 2.7.0
- Created softlink conf files in /etc/ansible

* Tue Sep 11 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 2.6.2-1
- Updated to 2.6.2

* Fri Mar 02 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 2.4.2.0-1
- Updated to 2.4.2.0-1

* Thu May 11 2017 Ravi Hirekurabar <rhirekur@in.ibm.com> - 2.2.2.0-1
- first version for AIX V6.1 and higher
